Package org.apache.storm.security.auth.tls

## Class ReloadableTsslTransportFactory

- java.lang.Object
- - org.apache.storm.thrift.transport.TSSLTransportFactory
  - - org.apache.storm.security.auth.tls.ReloadableTsslTransportFactory

-     public class ReloadableTsslTransportFactory
      extends org.apache.storm.thrift.transport.TSSLTransportFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.thrift.transport.TSSLTransportFactory

      `org.apache.storm.thrift.transport.TSSLTransportFactory.TSSLTransportParameters`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReloadableTsslTransportFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.storm.thrift.transport.TServerSocket` | `getServerSocket​(int port, int clientTimeout, InetAddress ifAddress, ThriftConnectionType type, Map<String,​Object> conf)` |

    - ### Methods inherited from class org.apache.storm.thrift.transport.TSSLTransportFactory

      `getClientSocket, getClientSocket, getClientSocket, getServerSocket, getServerSocket, getServerSocket, getServerSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReloadableTsslTransportFactory

          public ReloadableTsslTransportFactory()

  - ### Method Detail

    - #### getServerSocket

          public static org.apache.storm.thrift.transport.TServerSocket getServerSocket​(int port,
                                                                                        int clientTimeout,
                                                                                        InetAddress ifAddress,
                                                                                        ThriftConnectionType type,
                                                                                        Map<String,​Object> conf)
                                                                                 throws Exception

      Throws:
        `Exception`